Bug 1024753 (CVE-2013-4473) - CVE-2013-4473 poppler: stack-based buffer overflow in pdfseparate utility
Summary: CVE-2013-4473 poppler: stack-based buffer overflow in pdfseparate utility
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2013-4473
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1024765 1025160
Blocks: 1025135 1025136
TreeView+ depends on / blocked
 
Reported: 2013-10-30 11:21 UTC by Ratul Gupta
Modified: 2021-02-17 07:13 UTC (History)
4 users (show)

Fixed In Version: poppler 0.24.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-10-31 06:44:55 UTC


Attachments (Terms of Use)

Description Ratul Gupta 2013-10-30 11:21:49 UTC
Poppler is found to be affected by a stack based buffer overflow vulnerability in the pdfseparate utility. Successfully exploiting this issue could allow remote attackers to execute arbitrary code in the context of the affected application. Failed exploits may result in denial-of-service conditions. 

The issue is said to be fixed in poppler 0.24.2.

References:
http://seclists.org/oss-sec/2013/q4/181

Commit:
http://cgit.freedesktop.org/poppler/poppler/diff/utils/pdfseparate.cc?id=b8682d868ddf7f741e93b

Comment 1 Ratul Gupta 2013-10-30 11:41:47 UTC
Created poppler tracking bugs for this issue:

Affects: fedora-all [bug 1024765]

Comment 2 Huzaifa S. Sidhpurwala 2013-10-31 06:44:12 UTC
This flaw affects the pdfseparate utility shipped with poppler. This utility is not shipped with the version of poppler shipped with Red Hat Enterprise Linux 5 and 6.

Comment 3 Huzaifa S. Sidhpurwala 2013-10-31 06:44:55 UTC
Statement:

Not Vulnerable. This issue does not affect the version of poppler as shipped with Red Hat Enterprise Linux 5 and 6.

Comment 5 Fedora Update System 2013-11-11 02:24:51 UTC
poppler-0.22.1-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-11-16 07:15:36 UTC
poppler-0.20.2-17.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.